X
Nhấn vào đây để đến phiên bản di động của trang web.

Diễn đàn trợ giúp

Chủ đề này đã đóng và được lưu lại. Vui lòng hỏi một câu hỏi mới nếu bạn cần giúp đỡ.

My version 29.0 of firefox was automatically upgraded even though I had settings to ignore updates. How do I go back to 29.0?

Được đăng

When I started firefox today it automatically upgraded to 29.0.1. I do not want this version. How did it update when my settings were to ignore updates? Please advise how to go back to 29.

When I started firefox today it automatically upgraded to 29.0.1. I do not want this version. How did it update when my settings were to ignore updates? Please advise how to go back to 29.

Chi tiết hệ thống bổ sung

Phần bổ trợ đã cài đặt

  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Next Generation Java Plug-in 10.65.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 14.0 r0
  • 5.1.30514.0
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.07
  • Adobe Shockwave for Director Netscape plug-in, version 12.1
  • Adobe Shockwave for Director Netscape plug-in, version 12.0.7.148
  • Garmin Communicator Plug-In 4.1.0.0
  • Photosynth 2.110.317.1042
  • BlackBerry WebSL Browser Plug-In
  • NoteWorthy Composer Browser Plug-in
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Ứng dụng

  • Firefox 29.0.1
  • Chuỗi đại diện người dùng: Mozilla/5.0 (Windows NT 5.1; rv:29.0) Gecko/20100101 Firefox/29.0
  • URL hỗ trợ: https://support.mozilla.org/1/firefox/29.0.1/WINNT/en-US/

Tiện ích mở rộng

  • Adblock Plus 2.6.4 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • CacheViewer 0.8 ({71328583-3CA7-4809-B4BA-570A85818FBB})
  • Exif Viewer 2.00 (exif_viewer@mozilla.doslash.org)
  • Garmin Communicator 4.1.0 ({195A3098-0BD5-4e90-AE22-BA1C540AFD1E})
  • ImageHost Grabber 1.6.5.5 ({E4091D66-127C-11DB-903A-DE80D2EFDFE8})
  • NoScript 2.6.8.36 ({73a6fe31-595d-460b-a920-fcc0f8843232})
  • Piigeon 1.5.3 (piigeon@cs.washington.edu)
  • Places Maintenance 1.3 (places-maintenance@bonardo.net)
  • Proxy List Pro 7.1 (proxylistpro@proxylistpro.com)
  • Self-Destructing Cookies 0.4.4 (jid0-9XfBwUWnvPx4wWsfBWMCm4Jj69E@jetpack)
  • Session Manager 0.8.1.5 ({1280606b-2510-4fe0-97ef-9b5a22eafe30})
  • Shortly URL Shortner 1.15 (shortly@aloshbennett.in)
  • Torrent Finder Toolbar 1.3.1 (TFToolbarX@torrent-finder)
  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • Yahoo Mail Hide Ad Panel 2.43 ({c37bac34-849a-4d28-be41-549b2c76c64e})
  • avast! Online Security 9.0.2021.112 (wrc@avast.com) (không hoạt động)
  • Microsoft .NET Framework Assistant 0.0.0 ({20a82645-c095-46ed-80e3-08825760534b}) (không hoạt động)
  • Redirect Remover 2.6.4 ({fe0258ab-4f74-43a1-8781-bcdf340f9ee9}) (không hoạt động)
  • ThinkVantage Password Manager 3.01 ({FCF36B88-1BBA-487f-B64B-D2E8980A9293}) (không hoạt động)

Javascript

  • incrementalGCEnabled: True

Đồ họa

  • adapterDescription: NVIDIA Quadro NVS 140M
  • adapterDescription2:
  • adapterDeviceID: 0x0429
  • adapterDeviceID2:
  • adapterDrivers: nv4_disp
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'tryNewerDriver', u'182.65']
  • directWriteEnabled: False
  • directWriteVersion: 0.0.0.0
  • driverDate: 1-14-2009
  • driverDate2:
  • driverVersion: 6.14.11.7874
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'cairo', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'tryNewerDriver', u'182.65']
  • numTotalWindows: 1
  • webglRendererMessage: [u'tryNewerDriver', u'182.65']
  • windowLayerManagerRemote: False
  • windowLayerManagerType: Basic

Thay đổi cài đặt

  • accessibility.typeaheadfind.flashBar: 0
  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.enabled: False
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.places.smartBookmarksVersion: 7
  • browser.sessionstore.upgradeBackup.latestBuildID: 20140506152807
  • browser.startup.homepage: https://www.google.ca/?gfe_rd=cr&ei=CsuGU4CdDqbP8gfC7IDQDg
  • browser.startup.homepage_override.buildID: 20140506152807
  • browser.startup.homepage_override.mstone: 29.0.1
  • browser.urlbar.autocomplete.enabled: False
  • dom.mozApps.used: True
  • dom.w3c_touch_events.expose: False
  • extensions.lastAppVersion: 29.0.1
  • font.internaluseonly.changed: False
  • javascript.options.showInConsole: False
  • network.cookie.lifetimePolicy: 2
  • network.cookie.prefsMigrated: True
  • places.database.lastMaintenance: 1406956233
  • places.history.enabled: False
  • places.history.expiration.transient_current_max_pages: 80485
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • plugin.importedState: True
  • plugin.state.npctrl: 1
  • plugin.state.npgoogleupdate: 1
  • privacy.cpd.extensions-sessionmanager: False
  • privacy.cpd.offlineApps: True
  • privacy.donottrackheader.enabled: True
  • privacy.sanitize.migrateFx3Prefs: True
  • privacy.sanitize.timeSpan: 0
  • storage.vacuum.last.index: 1
  • storage.vacuum.last.places.sqlite: 1406147708

Linh tinh

  • Người dùng JS: Không
  • Có thể tiếp cận: Không
christ1
  • Top 25 Contributor
2177 giải pháp 15946 câu trả lời
Được đăng

What's wrong with 29.0.1?

What's wrong with 29.0.1?

Người tạo câu hỏi

Contributors should try to answer the question, in my case two questions: 1. How did FF update when my settings are Options - Advanced - Update - Never check for updates? 2. How do I go back to v. 29.0? I have searched forums here and elsewhere to see ways to get previous versions, as well as how to download all supported versions. None of them offers a way to get 29.0.

There may be no problem with 29.0.1. But it is not the version I am used to. One of the problems with Firefox is that there are new versions too often: the reason we use browsers is to visit websites and every new version makes changes which we then have to adjust to. People don't want to spend time learning to use a new browser. Businesses especially.

At least Internet Explorer gets this, releasing new versions infrequently. Maybe IE gets it because it's a product of MS which is a big business with lots of other products,.

Contributors should try to answer the question, in my case two questions: 1. How did FF update when my settings are Options - Advanced - Update - Never check for updates? 2. How do I go back to v. 29.0? I have searched forums here and elsewhere to see ways to get previous versions, as well as how to download all supported versions. None of them offers a way to get 29.0. There may be no problem with 29.0.1. But it is not the version I am used to. One of the problems with Firefox is that there are new versions too often: the reason we use browsers is to visit websites and every new version makes changes which we then have to adjust to. People don't want to spend time learning to use a new browser. Businesses especially. At least Internet Explorer gets this, releasing new versions infrequently. Maybe IE gets it because it's a product of MS which is a big business with lots of other products,.
James
  • Top 25 Contributor
  • Moderator
1602 giải pháp 11345 câu trả lời
Được đăng

The (old) Firefox 29.0.1 was just a stability update for the (older) Firefox 29.0 release as it should not be any different.

https://www.mozilla.org/en-US/firefox/29.0/releasenotes/ https://www.mozilla.org/en-US/firefox/29.0.1/releasenotes/

If you can use Firefox 29.0 then you can use Firefox 31.0 just the same.

The (old) Firefox 29.0.1 was just a stability update for the (older) Firefox 29.0 release as it should not be any different. https://www.mozilla.org/en-US/firefox/29.0/releasenotes/ https://www.mozilla.org/en-US/firefox/29.0.1/releasenotes/ If you can use Firefox 29.0 then you can use Firefox 31.0 just the same.

Được chỉnh sửa bởi James vào

Người tạo câu hỏi

Thanks for the reply.

But there are 8 NEW changes to 29.0 in 29.0.1. The worst being "Significant new customization mode makes it easy to personalize your Web experience to access the features you use the most." I do not want these changes especially the one above.

- How do I go back to 29.0? Why is it not listed as an option? - How did FF override my update settings? What's the point of having settings for updates if FF overrides them?

Thanks for the reply. But there are '''8 NEW changes''' to 29.0 in 29.0.1. The worst being "Significant new customization mode makes it easy to personalize your Web experience to access the features you use the most." I do not want these changes especially the one above. - How do I go back to 29.0? Why is it not listed as an option? - How did FF override my update settings? What's the point of having settings for updates if FF overrides them?
Moses
  • Moderator
459 giải pháp 3607 câu trả lời
Được đăng

Câu trả lời hữu ích

From what I see, the 8 "new" changes in 29.0.1 carried over from 29.0. In this case "Significant new customization mode makes it easy to personalize your Web experience to access the features you use the most." is relating to the new Australis UI.

Also, I noticed that several users do different things to try to disable updates. Did you make sure to uninstall the maintenance service from Windows and disable the "Use a background service to install updates"? Personally, I use user.js to do this along with the disabling of the options in Firefox with the removal of the Maintenance service to keep on a specific Firefox version for testing and regressions. If you would like the code for that, I can give it to you.


You can go back to Firefox 29 using the Install an older version of Firefox link which contains information about downgrading and information about security vulnerabilities which are also listed in https://www.mozilla.org/security/known-vulnerabilities/firefox.html. Idealy, Mozilla would prefer users not to downgrade simply to avoid malware and other security holes in the software and users are aware of this when they downgrade.

From what I see, the 8 <b>"new"</b> changes in 29.0.1 carried over from 29.0. In this case "Significant new customization mode makes it easy to personalize your Web experience to access the features you use the most." is relating to the new Australis UI. Also, I noticed that several users do different things to try to disable updates. Did you make sure to uninstall the maintenance service from Windows and disable the "Use a background service to install updates"? Personally, I use user.js to do this along with the disabling of the options in Firefox with the removal of the Maintenance service to keep on a specific Firefox version for testing and regressions. If you would like the code for that, I can give it to you. ---- You can go back to Firefox 29 using the [[Install an older version of Firefox]] link which contains information about downgrading and information about security vulnerabilities which are also listed in https://www.mozilla.org/security/known-vulnerabilities/firefox.html. Idealy, Mozilla would prefer users not to downgrade simply to avoid malware and other security holes in the software and users are aware of this when they downgrade.
Moses
  • Moderator
459 giải pháp 3607 câu trả lời
Được đăng

I forgot to mention, if you simply miss the old interface, here are a few suggestions for restoring the old design. Many users have used it and stayed on Firefox in the latest version (31.0)

I forgot to mention, if you simply miss the old interface, here are a few suggestions for restoring the old design. Many users have used it and stayed on Firefox in the latest version (31.0) *Use the [https://addons.mozilla.org/en-US/firefox/addon/classicthemerestorer/ Classic Theme Restorer] to bring back the old design. Learn more here: [[How to make the new Firefox look like the old Firefox]] *Use the [https://addons.mozilla.org/en-US/firefox/addon/the-addon-bar/ Add-on Bar Restored] to bring back the add-on bar. Learn more here: [[What happened to the Add-on Bar?]]
James
  • Top 25 Contributor
  • Moderator
1602 giải pháp 11345 câu trả lời
Được đăng

hiker1, the 29.0.1 page shows there were only four not eight. The 29.0.1 page mentions the previous plus these four in green. It was a chemspill update for some fixes that could not wait for Firefox 30.0 Release. Otherwise 29.0 and 29.0.1 are pretty much the same.

29.0.1 - pdf.js printing white page (1003707) Fixed 29.0.1 - Tabs not visible with dark themes under Windows 8.1 (907373) Fixed 29.0.1 - Session Restore failed with a corrupted sessionstore.js file (1001167) Fixed 29.0.1 - Seer disabled by default (1005958) Fixed

'''hiker1''', the 29.0.1 page shows there were only four not eight. The 29.0.1 page mentions the previous plus these four in green. It was a chemspill update for some fixes that could not wait for Firefox 30.0 Release. Otherwise 29.0 and 29.0.1 are pretty much the same. 29.0.1 - pdf.js printing white page (1003707) Fixed 29.0.1 - Tabs not visible with dark themes under Windows 8.1 (907373) Fixed 29.0.1 - Session Restore failed with a corrupted sessionstore.js file (1001167) Fixed 29.0.1 - Seer disabled by default (1005958) Fixed

Được chỉnh sửa bởi James vào

Câu trả lời hữu ích

OK thanks for the replies. On further consideration, I probably forgot the version number, which now I believe was 28, not 29. But this does not explain why this one time FF was able to override my update settings. Anyway, by using the Classic Theme Restorer will that make it look like 28? How much time will this take?

As I said before, FF makes too many versions in too short a time. As if every user wants to spend time playing around with FF like staff at Mozilla do. People in the world outside Mozilla offices don't have time for this.

OK thanks for the replies. On further consideration, I probably forgot the version number, which now I believe was 28, not 29. But this does not explain why this one time FF was able to override my update settings. Anyway, by using the Classic Theme Restorer will that make it look like 28? How much time will this take? As I said before, FF makes too many versions in too short a time. As if every user wants to spend time playing around with FF like staff at Mozilla do. People in the world outside Mozilla offices don't have time for this.
Moses
  • Moderator
459 giải pháp 3607 câu trả lời
Được đăng

Since 29 was using Australis, I'm thinking it was 28 as well. The Classic Theme Restorer works like any extension. Install it from addons.mozilla.org then restart Firefox. It'll restore the orange Firefox button, put the tabs on the bottom, among other customizable things. The full list of features along with a download is provided at the link below.

Since 29 was using Australis, I'm thinking it was 28 as well. The Classic Theme Restorer works like any extension. Install it from addons.mozilla.org then restart Firefox. It'll restore the orange Firefox button, put the tabs on the bottom, among other customizable things. The full list of features along with a download is provided at the link below. *https://addons.mozilla.org/en-US/firefox/addon/classicthemerestorer/
jalp5dai 0 giải pháp 17 câu trả lời
Được đăng

I just got my v29 hijacked today -- even though I had the options set to ask me before doing any updates. Now, even though I've re-installed v29, I still get it looking like v34. i want v29 back the way it was!

I just got my v29 hijacked today -- even though I had the options set to ask me before doing any updates. Now, even though I've re-installed v29, I still get it looking like v34. i want v29 back the way it was!